<?php

$set['title']='Форум - '.$forum['name'].' - '.$razdel['name'].' - Новая тема';
include_once '../../sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

if(isset($user) && $admin['uid']==$user['id'] && isset($_POST['name']) && isset($_POST['msg'])){
if(isset($_SESSION['time_c_t_forum']) && $_SESSION['time_c_t_forum']>$time-600){	$err='Нельзя так часто создавать темы';
	}

$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));

if(isset($_POST['translit1']) && $_POST['translit1']==1){	$name=translit($name);
	}

if(ereg("\{|\}|\^|\%|\\$|#|@|!|\~|'|\"|`|<|>",$name)){	$err='В названии темы присутствуют запрещенные символы';
	}

if(strlen2($name)<3){	$err='Короткое название для темы';
	}

if(strlen2($name)>32){	$err='Название темы не должно быть длиннее 32-х символов';
	}

$name=mysql_real_escape_string($name);
$msg=esc(stripcslashes(htmlspecialchars($_POST['msg'])));

if(isset($_POST['translit2']) && $_POST['translit2']==1){	$msg=translit($msg);
	}

if(strlen2($msg)<10){	$err='Короткое сообщение';
	}

if(strlen2($msg)>10240){	$err='Длина сообщения превышает предел в 10240 символа';
	}

$msg=mysql_real_escape_string($msg);

if(!isset($err)){	$_SESSION['time_c_t_forum']=$time;
	mysql_query("UPDATE `community_user_incomm` SET `them` = '+1' WHERE `uid` = '$user[id]' AND `cid` = '$id_comm' LIMIT 1");
	mysql_query("INSERT INTO `comm_forum_t` (`id_forum`, `id_razdel`, `time_create`, `id_user`, `name`, `time`, `id_comm`) values('$forum[id]', '$razdel[id]', '$time', '$user[id]', '$name', '$time', '$id_comm')");
	$them['id']=mysql_insert_id();
	mysql_query("INSERT INTO `comm_forum_p` (`id_forum`, `id_razdel`, `id_them`, `id_user`, `msg`, `time`, `id_comm`) values('$forum[id]', '$razdel[id]', '$them[id]', '$user[id]', '$msg', '$time', '$id_comm')");
	mysql_query("UPDATE `comm_forum_r` SET `time` = '$time' WHERE `id` = '$razdel[id]' AND `id_comm` = '".$id_comm."' LIMIT 1");
	msg('Тема успешно создана');

echo '&#187;&nbsp;<a href="index.php?id_forum='.$forum['id'].'&amp;id_razdel='.$razdel['id'].'&amp;id_them='.$them['id'].'&amp;id_comm='.$id_comm.'">Перейти в тему</a><br/>';
echo '&#187;&nbsp;<a href="index.php?id_forum='.$forum['id'].'&amp;id_razdel='.$razdel['id'].'&amp;id_comm='.$id_comm.'">Назад</a><br/>';
echo '&#187;&nbsp;<a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'">'.$forum['name'].'</a><br/>';
echo '&#187;&nbsp;<a href="index.php?id_comm='.$id_comm.'">Форум</a></div>';
include_once '../../sys/inc/tfoot.php';
}
}

err();
echo '<a href="/smiles/index.php">Смайлы</a><br/>';
echo '<form method="post" action="index.php?id_forum='.$forum['id'].'&amp;id_razdel='.$razdel['id'].'&amp;id_comm='.$id_comm.'&amp;act=new">';
echo 'Название темы:<br/><input name="name" type="text" maxlength="32" value=""/><br/>';

if($user['set_translit']==1){	echo '<label><input type="checkbox" name="translit1" value="1"/> Транслит</label><br/>';
	}

echo 'Сообщение:<br/><textarea name="msg"></textarea><br/>';

if($user['set_translit']==1){	echo '<label><input type="checkbox" name="translit2" value="1"/> Транслит</label><br/>';
	}

echo '<input value="Создать" type="submit"/></form>';

echo '&#187;&nbsp;<a href="index.php?id_forum='.$forum['id'].'&amp;id_razdel='.$razdel['id'].'&amp;id_comm='.$id_comm.'">Назад</a><br/>';
echo '&#187;&nbsp;<a href="index.php?id_forum='.$forum['id'].'&amp;id_comm='.$id_comm.'">'.$forum['name'].'</a><br/>';
echo '&#187;&nbsp;<a href="index.php?id_comm='.$id_comm.'">Форум</a></div>';
?>